Skip to main content
Create an etcd snapshot
Authentication · API availability · Download OpenAPI
This operation can change resources or access. After signing in, open API request settings and select Enable modifying requests, then Apply settings, to use its playground. Check the request body and destination before selecting Send. Your existing API permissions still apply.

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

clusterId
string
required

Body

application/json
snapshotTimeout
integer<int32>

Response

Snapshot operation initiated successfully

Response for async snapshot operations (create, restore, delete)

operationId
string

Unique identifier for the async operation

operationType
enum<string>
default:SNAPSHOT_OPERATION_TYPE_UNSPECIFIED

Type of the operation

Available options:
SNAPSHOT_OPERATION_TYPE_UNSPECIFIED,
SNAPSHOT_OPERATION_TYPE_CREATE,
SNAPSHOT_OPERATION_TYPE_RESTORE,
SNAPSHOT_OPERATION_TYPE_DELETE
status
enum<string>
default:SNAPSHOT_OPERATION_STATUS_UNSPECIFIED

Current status of the operation

Available options:
SNAPSHOT_OPERATION_STATUS_UNSPECIFIED,
SNAPSHOT_OPERATION_STATUS_IN_PROGRESS,
SNAPSHOT_OPERATION_STATUS_COMPLETED,
SNAPSHOT_OPERATION_STATUS_FAILED,
SNAPSHOT_OPERATION_STATUS_TIMED_OUT
phase
string

Current phase of the operation

clusterId
string

Cluster ID associated with the operation

snapshotId
string

Snapshot id generated for the operation

snapshotName
string

Snapshot Name

message
string

Status message

createdAt
string<date-time>

When the operation was created

updatedAt
string<date-time>

When the operation was last updated